import type { Client, ClientOptions } from "openapi-fetch";
import type { paths } from "./openapi/index.js";
/**
 * Creates an `openapi-fetch` client using {@link createClient}.
 *
 * @example
 * const client = createBitbucketServerClient({
 * 	baseUrl: "https://example.org/rest",
 * 	headers: {
 * 		Accept: "application/json",
 * 		Authorization: `Bearer ${BITBUCKET_SERVER_TOKEN}`,
 * 	},
 * })
 */
export declare const createBitbucketServerClient: (clientOptions?: ClientOptions) => Client<paths, "application/json">;
//# sourceMappingURL=client.d.ts.map